Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class XmlFixerReader

    java.lang.Object
      java.io.Reader
          com.sun.syndication.io.impl.XmlFixerReader

All Implemented Interfaces:
  Closeable, Readable

    public class XmlFixerReader

extends Reader

Author:
  Alejandro Abdelnur

Field Summary
`protected Reader` | `in`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`XmlFixerReader(Reader in)`

Method Summary
`void` | `close()`
`void` | `mark(int readAheadLimit)`
`boolean` | `markSupported()`
`String` | `processHtmlEntities(String s)`
`int` | `read()`
`int` | `read(char[] buffer, int offset, int len)`
`boolean` | `ready()`
`void` | `reset()`
`long` | `skip(long n)`

Methods inherited from class java.io.Reader
`read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected Reader in

Constructor Detail

### XmlFixerReader

    public XmlFixerReader(Reader in)

Method Detail

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### read

    public int read(char[] buffer,
                    int offset,
                    int len)
             throws IOException

  Specified by:
    `read` in class `Reader`
  Throws:
    `IOException`

### skip

    public long skip(long n)
              throws IOException

  Overrides:
    `skip` in class `Reader`
  Throws:
    `IOException`

### ready

    public boolean ready()
                  throws IOException

  Overrides:
    `ready` in class `Reader`
  Throws:
    `IOException`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `Reader`

### mark

    public void mark(int readAheadLimit)
              throws IOException

  Overrides:
    `mark` in class `Reader`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `Reader`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Reader`
  Throws:
    `IOException`

### processHtmlEntities

    public String processHtmlEntities(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.